Remove addon from subscription
curl --request DELETE \
--url https://us.api.flexprice.io/v1/subscriptions/addon \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"addon_association_id": "<string>",
"effective_date": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
'import requests
url = "https://us.api.flexprice.io/v1/subscriptions/addon"
payload = {
"addon_association_id": "<string>",
"effective_date": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
addon_association_id: '<string>',
effective_date: '2023-11-07T05:31:56Z',
reason: '<string>'
})
};
fetch('https://us.api.flexprice.io/v1/subscriptions/addon', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://us.api.flexprice.io/v1/subscriptions/addon"
payload := strings.NewReader("{\n \"addon_association_id\": \"<string>\",\n \"effective_date\": \"2023-11-07T05:31:56Z\",\n \"reason\": \"<string>\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}Subscriptions
Remove addon from subscription
deprecated
Deprecated: use POST /subscriptions//modify/execute with type “addon” and action “remove”, which also supports previewing the proration credit first. Use when removing an add-on from a subscription (e.g. downgrade or opt-out).
DELETE
/
subscriptions
/
addon
Remove addon from subscription
curl --request DELETE \
--url https://us.api.flexprice.io/v1/subscriptions/addon \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"addon_association_id": "<string>",
"effective_date": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
'import requests
url = "https://us.api.flexprice.io/v1/subscriptions/addon"
payload = {
"addon_association_id": "<string>",
"effective_date": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
addon_association_id: '<string>',
effective_date: '2023-11-07T05:31:56Z',
reason: '<string>'
})
};
fetch('https://us.api.flexprice.io/v1/subscriptions/addon', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://us.api.flexprice.io/v1/subscriptions/addon"
payload := strings.NewReader("{\n \"addon_association_id\": \"<string>\",\n \"effective_date\": \"2023-11-07T05:31:56Z\",\n \"reason\": \"<string>\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}Authorizations
Enter your API key in the format x-api-key <api-key>*
Body
application/json
Remove Addon Request
Available options:
immediate, end_of_period EffectiveDate defaults to period end when nil; mid-period with create_prorations issues a wallet credit.
Available options:
create_prorations, none Response
OK

